%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Additional themes for Xfce desktop environment
Name:		gtk-xfce-engine
Version:	2.8.0
Release:	%mkrel 1
License:	GPLv3
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	gtk+2-devel
Conflicts:	gtk-engines2 < 2.18.1-2

%description
Default Xfce GTK+ themes.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# don't ship .la, .a
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libxfce.so
%{_datadir}/themes/Xfce*/gtk-2.0/gtkrc


%changelog
* Fri Feb 18 2011 ahmad <ahmad> 2.8.0-1.mga1
+ Revision: 53856
- update the URL
- don't ship .a, .la
- update to 2.8.0
- imported package gtk-xfce-engine


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.0-2mdv2011.0
+ Revision: 619284
- the mass rebuild of 2010.0 packages

* Sat May 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.0-1mdv2010.0
+ Revision: 376463
- add spec and source files
- create gtk-xfce-engine

